#
# -*- coding: utf-8 -*-
# Copyright 2024 Dell Inc. or its subsidiaries. All Rights Reserved
# GNU General Public License v3.0+
# (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

#############################################
#                WARNING                    #
#############################################
#
# This file is auto generated by the resource
#   module builder playbook.
#
# Do not edit this file manually.
#
# Changes to this file will be over written
#   by the resource module builder.
#
# Changes should be made in the model used to
#   generate this file or in the resource module
#   builder template.
#
#############################################

"""
The arg spec for the sonic_ospfv2_interfaces module
"""
from __future__ import absolute_import, division, print_function
__metaclass__ = type


class Ospfv2_interfacesArgs(object):  # pylint: disable=R0903
    """The arg spec for the sonic_ospfv2_interfaces module
    """

    def __init__(self, **kwargs):
        pass

    argument_spec = {
        'config': {
            'elements': 'dict',
            'options': {
                'bfd': {
                    'options': {
                        'bfd_profile': {'type': 'str'},
                        'enable': {'required': True, 'type': 'bool'}
                    },
                    'type': 'dict'
                },
                'name': {'required': True, 'type': 'str'},
                'network': {
                    'choices': ['broadcast', 'point_to_point'],
                    'type': 'str'
                },
                'ospf_attributes': {
                    'elements': 'dict',
                    'mutually_exclusive': [['dead_interval', 'hello_multiplier']],
                    'options': {
                        'address': {'type': 'str'},
                        'area_id': {'type': 'str'},
                        'authentication': {
                            'options': {
                                'encrypted': {'type': 'bool'},
                                'password': {'no_log': True, 'required': True, 'type': 'str'}
                            },
                            'type': 'dict'
                        },
                        'authentication_type': {
                            'choices': ['MD5HMAC', 'NONE', 'TEXT'],
                            'type': 'str'
                        },
                        'cost': {'type': 'int'},
                        'dead_interval': {'type': 'int'},
                        'hello_interval': {'type': 'int'},
                        'hello_multiplier': {'type': 'int'},
                        'md_authentication': {
                            'elements': 'dict',
                            'options': {
                                'encrypted': {'type': 'bool'},
                                'key_id': {'required': True, 'type': 'int'},
                                'md5key': {'no_log': True, 'type': 'str'}
                            },
                            'type': 'list'
                        },
                        'mtu_ignore': {'type': 'bool'},
                        'priority': {'type': 'int'},
                        'retransmit_interval': {'type': 'int'},
                        'transmit_delay': {'type': 'int'}
                    },
                    'type': 'list'
                }
            },
            'type': 'list'
        },
        'state': {
            'choices': ['merged', 'deleted', 'replaced', 'overridden'],
            'default': 'merged',
            'type': 'str'
        }
    }  # pylint: disable=C0301
